1. AVIA
ETS API
  • Try it and Run in ApiDog
  • AVIA API Documentation
  • AVIA Flows example
  • HOTELS API
  • AVIA
    • 1 REQ B2B Login Token (PREFERRED)
      POST
    • 1 REQ B2B Login (TO BE REMOVED, USE TOKEN LOGIN)
      POST
    • 1 REQ B2C Login
      GET
    • 2A Search Direct flight
      POST
    • 2C Search Round trip
      POST
    • 2B Search Multi-City
      POST
    • 3 Schedule - Amadeus optional
      POST
    • 4 Offers request
      GET
    • 4B Smart Offer Request optional
      GET
    • 5 Documents types for offer
      GET
    • 6 Offer info
      GET
    • 7 Availability of Offer
      GET
    • 8 OPT Available Services
      GET
    • 9 OPT Select services
      POST
    • 10 Create Order
      POST
    • 11 Split Order
      PATCH
    • 12 Order payment methods
      POST
    • 13 Order payment
      POST
    • 14 Сheckout status
      GET
    • 15 Refund order
      GET
    • 16 Get order info
      GET
    • 17 Print E-Tiket
      GET
    • 18 Receiving a cancellation fee
      GET
    • 19 Cancel Order
      GET
    • 20 Get airports
      GET
    • 21 Get cities
      GET
    • 22 Get countries
      GET
    • 23 Get counterparties info
      GET
  • HOTELS
    • REQUIRED
      • 1A REQ B2B Login
      • 1B REQ B2B Login Token
      • 1C REQ B2C Login
      • 2 REQ Destination
      • 3 REQ Search
      • 4 REQ Receiving found hotels
      • 5 REQ Getting a Hotel Offer
      • 6 REQ Create order
      • 7 REQ Cancel order
    • OPTIONAL
      • 1 REQ B2B Login
      • 1B REQ B2B Login Token Copy
      • 1 REQ B2C Login
      • 2 REQ Search
      • 3 OPT Destination point info
      • 4 OPT List of popular destinations Copy
      • 5 OPT List of filtered destinations
      • 6 OPT Group guide
      • 7 OPT Getting information on possible hotels
      • 8 OPT Getting the list of currencies
      • 9 REQ Receiving found hotels
      • 10 REQ Getting a Hotel Offer
      • 11 OPT Cancel-policies
      • 12 OPT Account number and info
      • 13 OPT Receiving information on the hotel offer
      • 14 OPT Receive detailed information about the cost of an offer
      • 15 REQ Create order
      • 16 OPT Receive hotel services
  • Schemas
    • Sample Schemas
      • Pet
      • Category
      • Tag
  1. AVIA

2B Search Multi-City

POST
{{AVIA_URL}}/api/air/search

POST /api/air/search#

2B Search Connecting flight.png
In the response to this request, you will not receive an array of offers; instead, you’ll get a request_id.
This request_id will be used in the subsequent Offers request request to retrieve the array of offers.

Request Body#

directions (array of objects) - Specifies the departure and arrival details for the travel.
departure_country (string) - The departure country code. (optional)
departure_name (string) - The name of the departure location.(optional)
departure_code (string) - The code of the departure location. (mandatory)
departure_city (string) - The city of the departure location.(optional)
arrival_country (string) - The arrival country code. (optional)
arrival_name (string) - The name of the arrival location. (optional)
arrival_code (string) - The code of the arrival location.(mandatory)
arrival_city (string) - The city of the arrival location.(optional)
date (string) - The date of travel. (mandatory)
dir_number (number) - The direction number. (optional)
adult_qnt (number) - The quantity of adult passengers. Should be more, then "0"
child_qnt (number) - The quantity of child passengers. Can be "0"
infant_qnt (number) - The quantity of infant passengers. Can be "0"
class (string) - The class of travel. (mandatory)
onlyRefundable (boolean) - If set to true, the response will only include options that support a refund policy. Non-refundable offers are excluded from the results. (optional)
fare_types (array of codes) - codes of fare types. (optional)
providers (array of numbers) - The types of providers ids (optional).
airlines (array of strings codes) - The types of airlines codes (optional).
The parameter fare_type: "CHARTER" has been removed.
New tags have been introduced:
is_charter: indicates whether the fare is a charter flight (true/false)
charterType: defines the charter type ('regular' or 'block_of_seats')

Response#

The response is in JSON format and follows the schema below:
{
  "type": "object",
  "properties": {
    "status": { "type": "string" },
    "message": { "type": "string" },
    "request_id": { "type": "string" },
    "old_request_id": { "type": ["string", "null"] },
    "travel_policy_id": { "type": ["string", "null"] },
    "one_order_id": { "type": "number" },
    "show_mode": { "type": "string" },
    "currency": { "type": "string" },
    "available_currencies": { "type": "array", "items": { "type": "string" } },
    "is_round": { "type": "boolean" },
    "is_multy": { "type": "boolean" },
    "group_avia_offers": { "type": "boolean" },
    "is_groups": { "type": "number" }
  }
}

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Header Params

Body Params text/plain
Examples

Responses

🟢2002 Search
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --globoff 'https://stage-api.etm-system.ru/api/air/search' \
--header 'Accept: application/json' \
--header 'Etm-Auth-Key: ' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: text/plain' \
--data '{
  "directions": [
    {
      "departure_code": "kul",
      "arrival_code": "ist",
      "date": "2026-07-31"   // format YYYY-MM-DD
    },
    {
      "departure_code": "IST",
      "arrival_code": "sin",
      "date": "2026-08-03"   // format YYYY-MM-DD
    }
  ],
  "class": "E",
  "fare_types": [
    "PUB",
    "NEG"
  ],
  "adult_qnt": 1,
  "child_qnt": 0,
  "infant_qnt": 0,
  "providers": [1794 // provider id, optional
  ]
}'
Response Response Example
{
    "status": "ok",
    "message": "",
    "request_id": "f635c624-35cb-470d-912b-6d19336a954e",
    "old_request_id": null,
    "travel_policy_id": null,
    "one_order_id": 0,
    "show_mode": "classic",
    "currency": "EUR",
    "available_currencies": [
        "RUB",
        "TRY",
        "EUR",
        "KGS",
        "USD",
        "AED",
        "UZS",
        "KZT",
        "SAR",
        "KWD"
    ],
    "is_round": false,
    "is_multy": true,
    "group_avia_offers": false,
    "is_groups": 0,
    "rules_log": false,
    "search_log": false
}
Modified at 2026-07-16 09:45:25
Previous
2C Search Round trip
Next
3 Schedule - Amadeus optional
Built with